%define upstream_name    Convert-Color-XTerm
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Indexed colors used by XTerm
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::Color)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This subclass of the Convert::Color::RGB8 manpage provides lookup of the
colors that _xterm_ uses by default. Note that the module is not
intelligent enough to actually parse the XTerm configuration on a machine,
nor to query a running terminal for its actual colors. It simply implements
the colors that are present as defaults in the XTerm source code.

It implements the complete 256-color model in XTerm. This range consists
of:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-2.mga9
+ Revision: 1816176
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.60.0-1.mga9
+ Revision: 1777915
- imported package perl-Convert-Color-XTerm


* Wed Feb 16 2022 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
